local frame = CreateFrame("Frame", nil, UIParent)
frame:SetAllPoints(QueueStatusMinimapButton)

frame:RegisterEvent("LFG_PROPOSAL_SHOW")
frame:RegisterEvent("LFG_PROPOSAL_FAILED")

	-- Change text here --
local font = frame:CreateFontString("LFR", "OVERLAY", "GameFontNormal") -- The number representing LFR

-- position here: "LEFT", "RIGHT", "TOP", "BOTTOM" in relation to the LFG eye
font:SetPoint("TOP", QueueStatusMinimapButton, "TOP", 0, 0) 

-- change color here: any combination numbers between 0 and 1
font:SetTextColor(1, 1, 1) 

-- change font style here: font path, text size, and modifiers such as "OUTLINE", MONOCHROME", "THICKOUTLINE" or leave blank for none
font:SetFont("Fonts\\FRIZQT__.TTF", 8, "OUTLINE") 


local font2 = frame:CreateFontString("Heal", "OVERLAY", "GameFontNormal") -- The number representing LFR wait time

-- position here: "LEFT", "RIGHT", "TOP", "BOTTOM" in relation to the LFG eye
font2:SetPoint("LEFT", QueueStatusMinimapButton, "LEFT", 0, 0)

-- change color here: any combination numbers between 0 and 1
font2:SetTextColor(1, 1, 1)

-- change font style here: font path, text size, and modifiers such as "OUTLINE", MONOCHROME", "THICKOUTLINE" or leave blank for none
font2:SetFont("Fonts\\FRIZQT__.TTF", 8, "OUTLINE")


local font3 = frame:CreateFontString("DPS", "OVERLAY", "GameFontNormal") -- The number representing LFD

-- position here: "LEFT", "RIGHT", "TOP", "BOTTOM" in relation to the LFG eye
font3:SetPoint("BOTTOM", QueueStatusMinimapButton, "BOTTOM", 0, 0)

-- change color here: any combination numbers between 0 and 1
font3:SetTextColor( 1, 1, 1)

-- change font style here: font path, text size, and modifiers such as "OUTLINE", MONOCHROME", "THICKOUTLINE" or leave blank for none
font3:SetFont("Fonts\\FRIZQT__.TTF", 8, "OUTLINE")

local font4 = frame:CreateFontString("Wait", "OVERLAY", "GameFontNormal") -- The number representing wait time

-- position here: "LEFT", "RIGHT", "TOP", "BOTTOM" in relation to the LFG eye
font4:SetPoint("RIGHT", QueueStatusMinimapButton, "RIGHT", 0, 0)

-- change color here: any combination numbers between 0 and 1
font4:SetTextColor( 1, 1, 1)

-- change font style here: font path, text size, and modifiers such as "OUTLINE", MONOCHROME", "THICKOUTLINE" or leave blank for none
font4:SetFont("Fonts\\FRIZQT__.TTF", 8, "OUTLINE")

local function GetRaidRoles()
local hasData, leaderNeeds, tankNeeds, healerNeeds, dpsNeeds, totalTanks, totalHealers, totalDPS, instanceType, instanceSubType, instanceName, averageWait, tankWait, healerWait, dpsWait, myWait, queuedTime = GetLFGQueueStats(LE_LFG_CATEGORY_RF)
font:SetText("")
font2:SetText("")
	if hasData then
		font:SetText(string.format("|cff0000ff%s|r/|cff00ff00%s|r/|cffff0000%s|r", tankNeeds, healerNeeds, dpsNeeds))
		font2:SetText(string.format("%s", floor(myWait/60)))
	end

end

local function GetDungeonRoles()
local hasData, leaderNeeds, tankNeeds, healerNeeds, dpsNeeds, totalTanks, totalHealers, totalDPS, instanceType, instanceSubType, instanceName, averageWait, tankWait, healerWait, dpsWait, myWait, queuedTime = GetLFGQueueStats(LE_LFG_CATEGORY_LFD)
font3:SetText("")
font4:SetText("")
	if hasData then
		font3:SetText(string.format("|cff0000ff%s|r/|cff00ff00%s|r/|cffff0000%s|r", tankNeeds, healerNeeds, dpsNeeds))
		font4:SetText(string.format("%s", floor(myWait/60)))
	end

end

local function update()
GetRaidRoles()
GetDungeonRoles()
end

local function eventHandler(self, event, ...)
	if event == "LFG_PROPOSAL_SHOW" then
	
	elseif event == "LFG_PROPOSAL_FAILED" then
		
	end
end
frame:SetScript("OnEvent", eventHandler)

hooksecurefunc("QueueStatusEntry_SetUpLFG", update)
QueueStatusMinimapButton:HookScript("OnShow", update)
if QueueStatusMinimapButton:IsShown() then
	update()
end